List rewards
GET
apiKeyheader
AuthorizationBearer <token>Use a secret key such as sk_test_... in test mode or sk_live_... in production.
limit?integerNumber of items to return, between 1 and 100.
Range
1 <= value <= 100Default
25cursor?stringThe next_cursor from a previous response.
status?stringValue in
"pending""unlocked""paid""reversed"A page of rewards.
application/json- response
data*array<>has_more*booleannext_cursor?string|nullcurl -X GET 'https://api.referralapi.example/v1/rewards'Example Response200
{ "data": [ { "id": "rwd_5Gh8kLq1", "referral_id": "string", "recipient": "referrer", "type": "cash", "amount": 2000, "currency": "usd", "status": "pending", "unlocks_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}